VkPhysicalDeviceConservativeRasterizationPropertiesEXT Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
void * | pNext
float | primitiveOverestimationSize
float | maxExtraPrimitiveOverestimationSize
float | extraPrimitiveOverestimationSizeGranularity
VkBool32 | primitiveUnderestimation
VkBool32 | conservativePointAndLineRasterization
VkBool32 | degenerateTrianglesRasterized
VkBool32 | degenerateLinesRasterized
VkBool32 | fullyCoveredFragmentShaderInputVariable
VkBool32 | conservativeRasterizationPostDepthCoverage

## Detailed Description

Definition at line 7317 of file vulkan_core.h.

## Field Documentation

## conservativePointAndLineRasterization

VkBool32 VkPhysicalDeviceConservativeRasterizationPropertiesEXT::conservativePointAndLineRasterization

Definition at line 7324 of file vulkan_core.h.

## conservativeRasterizationPostDepthCoverage

VkBool32 VkPhysicalDeviceConservativeRasterizationPropertiesEXT::conservativeRasterizationPostDepthCoverage

Definition at line 7328 of file vulkan_core.h.

## degenerateLinesRasterized

VkBool32 VkPhysicalDeviceConservativeRasterizationPropertiesEXT::degenerateLinesRasterized

Definition at line 7326 of file vulkan_core.h.

## degenerateTrianglesRasterized

VkBool32 VkPhysicalDeviceConservativeRasterizationPropertiesEXT::degenerateTrianglesRasterized

Definition at line 7325 of file vulkan_core.h.

## extraPrimitiveOverestimationSizeGranularity

float VkPhysicalDeviceConservativeRasterizationPropertiesEXT::extraPrimitiveOverestimationSizeGranularity

Definition at line 7322 of file vulkan_core.h.

## fullyCoveredFragmentShaderInputVariable

VkBool32 VkPhysicalDeviceConservativeRasterizationPropertiesEXT::fullyCoveredFragmentShaderInputVariable

Definition at line 7327 of file vulkan_core.h.

## maxExtraPrimitiveOverestimationSize

float VkPhysicalDeviceConservativeRasterizationPropertiesEXT::maxExtraPrimitiveOverestimationSize

Definition at line 7321 of file vulkan_core.h.

## pNext

void* VkPhysicalDeviceConservativeRasterizationPropertiesEXT::pNext

Definition at line 7319 of file vulkan_core.h.

## primitiveOverestimationSize

float VkPhysicalDeviceConservativeRasterizationPropertiesEXT::primitiveOverestimationSize

Definition at line 7320 of file vulkan_core.h.

## primitiveUnderestimation

VkBool32 VkPhysicalDeviceConservativeRasterizationPropertiesEXT::primitiveUnderestimation

Definition at line 7323 of file vulkan_core.h.

## sType

VkStructureType VkPhysicalDeviceConservativeRasterizationPropertiesEXT::sType

Definition at line 7318 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h